Loading...
Searching...
No Matches
DbDataProvider::DbTableRecordIterator Class Reference

Defines the record iterator class for Table-based iterators. More...

`#include <DbTableRecordIterator.qc.dox.h>`

Inheritance diagram for DbDataProvider::DbTableRecordIterator:
[legend]

## Public Member Functions

| constructor (AbstractTable table, *hash< auto > where_cond, *hash< auto > search_options)
| creates the iterator
*hash< string, AbstractDataField > | getRecordType ()
| Returns the record description, if available.
auto | memberGate (string key)
| Returns the value of the given field in the current record, if the iterator is valid.
Public Member Functions inherited from DbDataProvider::AbstractDbRecordIterator
| constructor (bool release_transaction, AbstractSQLStatement stmt)
| creates the iterator
| destructor ()
| rolls back the transaction if a transaction lock was acquired in the constructor and keepTransactionLock() was not called
*AbstractDataProviderBulkRecordInterface | getBulkApi ()
| Returns the bulk data interface.
*hash< string, AbstractDataField > | getRecordType ()
| Returns the record description, if available.
hash< auto > | getValue ()
| Returns a single record if the iterator is valid.
| keepTransactionLock ()
| Ensures that no rollback is performed when the object is destroyed.
bool | next ()
| Increments the row pointer when retrieving rows from a select statement; returns True if there is a row to retrieve, False if not.
bool | valid ()
| Returns True if the iterator is valid.

## Protected Attributes

AbstractTable | table
| The table being iterated.
Protected Attributes inherited from DbDataProvider::AbstractDbRecordIterator
bool | release_transaction
| release the transaction with a rollback in the destructor?
AbstractSQLStatement | stmt
| the statement being iterated

## Detailed Description

Defines the record iterator class for Table-based iterators.

## Member Function Documentation

## constructor()

DbDataProvider::DbTableRecordIterator::constructor | ( | AbstractTable | table,
|  | *hash< auto > | where_cond,
|  | *hash< auto > | search_options )

creates the iterator

Parameters

  table | the table to iteratate
  search_options | search options; assumed to have already been processed for validity before this call

## getRecordType()

*hash< string, AbstractDataField > DbDataProvider::DbTableRecordIterator::getRecordType | ( |  | ) |

Returns the record description, if available.

Returns
  the record type of the iterator

## memberGate()

auto DbDataProvider::DbTableRecordIterator::memberGate | ( | string | key | ) |

Returns the value of the given field in the current record, if the iterator is valid.

Parameters

  key | the name of the field

Returns
  the value of the given field in the current record, if the iterator is valid

Exceptions

  FIELD-ERROR | invalid or unknown field name